FreeMat

- Main Page
- Related Pages

vtkPNGWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkPNGWriter writes PNG files. It supports 1 to 4 component data of unsigned char or unsigned short

To create an instance of class vtkPNGWriter, simply invoke its constructor as follows

      obj = vtkPNGWriter

# Methods

The class vtkPNGWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPNGWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPNGWriter = obj.NewInstance ()`
- `vtkPNGWriter = obj.SafeDownCast (vtkObject o)`
- `obj.Write ()` - The main interface which triggers the writer to start.
- `obj.SetWriteToMemory (int )` - Write the image to memory (a vtkUnsignedCharArray)
- `int = obj.GetWriteToMemory ()` - Write the image to memory (a vtkUnsignedCharArray)
- `obj.WriteToMemoryOn ()` - Write the image to memory (a vtkUnsignedCharArray)
- `obj.WriteToMemoryOff ()` - Write the image to memory (a vtkUnsignedCharArray)
- `obj.SetResult (vtkUnsignedCharArray )` - When writing to memory this is the result, it will be NULL until the data is written the first time
- `vtkUnsignedCharArray = obj.GetResult ()` - When writing to memory this is the result, it will be NULL until the data is written the first time